Add your Key ID and Secret to send test requests.
List orders
Returns your eSIM orders, newest first.
Authorization
KeyId ApiSecret x-key-id<token>
Your API key id.
In: header
x-api-secret<token>
Your API key secret.
In: header
Query Parameters
page?integer
pageSize?integer
status?string
planId?string
region?string
sort?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/esim/history?page=1&pageSize=50&status=delivered&sort=asc"{
"data": [
{
"orderId": "string",
"status": "pending",
"actions": {
"canCancel": true,
"canRequestRefund": true
},
"quantity": 0,
"price": {
"amount": 0,
"currency": "string"
},
"packageType": "string",
"createdAt": "string",
"updatedAt": "string",
"dueDate": "string",
"esims": [
{
"iccid": "string",
"status": "string",
"activationCode": "string",
"qrCodeUrl": "string",
"appleInstallUrl": "string",
"installationAvailable": true,
"topupEligible": true,
"network": "string"
}
]
}
],
"meta": {
"page": -9007199254740991,
"pageSize": -9007199254740991,
"total": -9007199254740991,
"totalPages": -9007199254740991,
"hasNext": true
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "The request is not valid. See `fields` for what to correct.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "This endpoint requires an API key.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry after the interval in `Retry-After`.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_RESPONSE_INVALID",
"message": "The upstream service returned an unexpected response.",
"requestId": "9f1c7b2e-…"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is temporarily unavailable. Try again shortly.",
"requestId": "9f1c7b2e-…"
}
}